LayerItem Class Reference

LayerItem tree widget item class. More...

`#include <PlotDialog.h>`

Inheritance diagram for LayerItem:

## Public Types

enum | { LayerTreeItem = 1001 }

## Public Member Functions

Graph * | graph ()
| LayerItem (Graph *g, QTreeWidgetItem *parent, const QString &s)
void | setActive (bool select)

## Protected Member Functions

void | insertCurvesList ()
void | insertEnrichmentsList ()

## Protected Attributes

Graph * | d_graph

## Detailed Description

LayerItem tree widget item class.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
LayerTreeItem |

## Constructor & Destructor Documentation

## LayerItem()

LayerItem::LayerItem | ( | Graph * | g,
|  | QTreeWidgetItem * | parent,
|  | const QString & | s
| ) |  |

References insertCurvesList(), and insertEnrichmentsList().

## Member Function Documentation

## graph()

Graph* LayerItem::graph | ( |  | ) |

inline

Referenced by PlotDialog::acceptParams(), PlotDialog::applyCanvasFormat(), PlotDialog::applyLayerFormat(), PlotDialog::chooseBackgroundImageFile(), PlotDialog::resizeCanvasToFitImage(), and PlotDialog::setActiveLayer().

## insertCurvesList()

void LayerItem::insertCurvesList | ( |  | ) |

protected

References Graph::curveCount(), d_graph, Graph::Function, Graph::plotItem(), and PlotCurve::type().

Referenced by LayerItem().

## insertEnrichmentsList()

void LayerItem::insertEnrichmentsList | ( |  | ) |

protected

References d_graph, and Graph::enrichmentsList().

Referenced by LayerItem().

## setActive()

void LayerItem::setActive | ( | bool | select | ) |

Referenced by PlotDialog::setActiveLayer(), and PlotDialog::setMultiLayer().

## Member Data Documentation

## d_graph

Graph* LayerItem::d_graph

protected

Referenced by insertCurvesList(), and insertEnrichmentsList().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/PlotDialog.h
- qtiplot/src/plot2D/dialogs/PlotDialog.cpp